View Issue Details

IDProjectCategoryView StatusLast Update
0032281Open CASCADEOCCT:Visualizationpublic2022-07-27 17:42
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032281: Visualization - add Select3D_SensitiveCylinder
DescriptionIt is proposed implementing Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder defined by parameters similar to Prs3d_ToolCylinder.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numbercone_cylinder/check_depth,detecting,generate_images,polygon_selection,rectangle_selection,single_click_selection_cone,single_click_selection_cylinder,single_click_selection_trunc_cone

Attached Files

  • SensitiveCylinder_MKrylova.md (14,335 bytes)

Relationships

related to 0031773 closedmzernova Open CASCADE Visualization - add Prs3d_ToolTorus 
parent of 0032547 verifiedmzernova Open CASCADE Visualization, Select3D_SensitiveCylinder - implement picking of a hollow cylinder 
parent of 0032652 verifiedinv Open CASCADE Visualization - Select3D_SensitiveCylinder returns wrong 3D point on transformed shape 
parent of 0033084 verifiedmzernova Community Visualization - Cylindrical prism is selectable only by its base when extruded in some directions 
related to 0032182 closedbugmaster Open CASCADE Visualization - add Select3D_SensitiveSphere 

Activities

mkrylova

2021-06-08 18:07

developer   ~0101699

Solution Evaluation

mkrylova

2021-06-09 20:12

developer   ~0101732

Solution Evaluation

mkrylova

2021-06-11 17:47

developer   ~0101794

Solution Evaluation

mkrylova

2021-06-15 18:11

developer   ~0101846

Solution Evaluation

mkrylova

2021-06-22 18:18

developer   ~0102004

Solution Implementation

mkrylova

2021-06-23 18:30

developer   ~0102015

Solution Implementation

mkrylova

2021-06-28 18:33

developer   ~0102132

Solution Implementation

mkrylova

2021-06-29 17:59

developer   ~0102168

Analysis, Solution Implementation

mkrylova

2021-06-30 18:59

developer   ~0102193

Analysis, Solution Implementation

mkrylova

2021-07-01 17:45

developer   ~0102214

Analysis, Solution Implementation

mkrylova

2021-07-05 18:57

developer   ~0102286

Solution Implementation, Testing

mkrylova

2021-07-07 18:42

developer   ~0102344

Solution Implementation, Testing

mkrylova

2021-07-09 17:55

developer   ~0102408

Solution Implementation, Testing

git

2021-07-12 15:33

administrator   ~0102467

Branch CR32281 has been created by mkrylova.

SHA-1: 62b629c81552c8b7b7411128d59b423c6f129caa


Detailed log of new commits:

Author: mkrylova
Date: Mon Jul 5 15:06:50 2021 +0300

    0032281: Visualization - add Select3D_SensitiveCylinder
    
    - implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
    - added tests

git

2021-07-13 17:34

administrator   ~0102498

Branch CR32281 has been updated by mkrylova.

SHA-1: 8a83ff3b38f3ca995739c97b4b1105648adeec54


Detailed log of new commits:

Author: mkrylova
Date: Tue Jul 13 16:36:22 2021 +0300

    # remarks
    - fixed code style
    - fixed tests
    - added more checks
    - fixed transformations

git

2021-07-13 17:35

administrator   ~0102499

Branch CR32281_1 has been created by mkrylova.

SHA-1: 7492085db60525144956830c94e46f6a111324d2


Detailed log of new commits:

Author: mkrylova
Date: Mon Jul 5 15:06:50 2021 +0300

    0032281: Visualization - add Select3D_SensitiveCylinder
    
    - implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
    - added tests

mkrylova

2021-07-13 17:38

developer   ~0102500

Solution Implementation, Testing

git

2021-07-14 12:06

administrator   ~0102518

Branch CR32281_1 has been updated by mkrylova.

SHA-1: 68b64e5825e4f4c089ce04d5e0d314ef97a5a48b


Detailed log of new commits:

Author: mkrylova
Date: Wed Jul 14 11:57:15 2021 +0300

    # fixed remarks

git

2021-07-14 18:46

administrator   ~0102526

Branch CR32281_2 has been created by mkrylova.

SHA-1: 7eb982781bcfaf362b85b559c1a92c9464092545


Detailed log of new commits:

Author: mkrylova
Date: Mon Jul 5 15:06:50 2021 +0300

    0032281: Visualization - add Select3D_SensitiveCylinder
    
    - implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
    - added tests

mkrylova

2021-07-14 18:51

developer   ~0102527

Documentation, Testing

mkrylova

2021-07-15 16:26

developer  

SensitiveCylinder_MKrylova.md (14,335 bytes)

git

2021-07-19 11:01

administrator   ~0102622

Branch CR32281_2 has been updated forcibly by mkrylova.

SHA-1: e990fb6531414917853bcce8321e15bded488c86

mkrylova

2021-07-19 12:46

developer   ~0102634

http://jenkins-test-occt.nnov.opencascade.com/view/CR32281_2-master-MKRYLOVA/view/ALL/

mkrylova

2021-07-19 12:47

developer   ~0102635

Patch is ready to review:
- OCCT: CR32281_2

mkrylova

2021-07-20 18:54

developer   ~0102689

Testing

git

2021-08-23 22:45

administrator   ~0103349

Branch CR32281_3 has been created by kgv.

SHA-1: 3ae61a15947e28d532163e900c7c0601422b813f


Detailed log of new commits:

Author: mkrylova
Date: Mon Jul 5 15:06:50 2021 +0300

    0032281: Visualization - add Select3D_SensitiveCylinder
    
    - implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
    - added tests

git

2021-08-23 22:51

administrator   ~0103350

Branch CR32281_3 has been updated forcibly by kgv.

SHA-1: d32b83c526e560d0c2a4171e7e5c92f65b31152d

git

2021-08-23 23:15

administrator   ~0103378

Branch CR32281_3 has been updated forcibly by kgv.

SHA-1: 46099362ed8d91b106c06a384e658bf144fba53a

kgv

2021-08-24 00:35

developer   ~0103388

Please raise the patch
- OCCT branch: CR32281_3.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32281_3-master-KGV/

bugmaster

2021-08-27 09:48

administrator   ~0103447

Please fix warnings in SelectMgr_Frustum.lxx
http://jenkins-test-11.nnov.opencascade.com/job/warnings_compare/Compare_20Warnings_20Report/

git

2021-08-27 10:38

administrator   ~0103448

Branch CR32281_3 has been updated by kgv.

SHA-1: acca17590c50f0e004f37d89ff454bc517eb78c4


Detailed log of new commits:

Author: kgv
Date: Fri Aug 27 10:38:42 2021 +0300

    # workaround msvc10 warning

git

2021-08-27 10:39

administrator   ~0103449

Branch CR32281_4 has been created by kgv.

SHA-1: 51d409054847d632622c3d1f0469e006fbcf9e55


Detailed log of new commits:

Author: mkrylova
Date: Mon Jul 5 15:06:50 2021 +0300

    0032281: Visualization - add Select3D_SensitiveCylinder
    
    - implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
    - added tests

kgv

2021-08-27 10:40

developer   ~0103450

Please take updated patch with a workaround for msvc10 warning
- OCCT: branch CR32281_4.

bugmaster

2021-08-28 15:44

administrator   ~0103474

Combination -
OCCT branch : IR-2021-08-27
master SHA - 8f70959571ab8999b47f88d673343587e733f364
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-27 SHA - 71e8b69563894a6e7348c9bd5b0294a5e5e8fe3f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17432.060000000307 / 17364.750000000335 [+0.39%]
Products
Total CPU difference: 11534.270000000102 / 11550.27000000011 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19189.15625 / 19243.171875 [-0.28%]
Products
Total CPU difference: 12874.53125 / 12885.734375 [-0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-08-28 16:00

administrator   ~0103481

Branch CR32281 has been deleted by mnt.

SHA-1: 8a83ff3b38f3ca995739c97b4b1105648adeec54

git

2021-08-28 16:00

administrator   ~0103482

Branch CR32281_1 has been deleted by mnt.

SHA-1: 68b64e5825e4f4c089ce04d5e0d314ef97a5a48b

git

2021-08-28 16:00

administrator   ~0103483

Branch CR32281_2 has been deleted by mnt.

SHA-1: e990fb6531414917853bcce8321e15bded488c86

git

2021-08-28 16:00

administrator   ~0103484

Branch CR32281_3 has been deleted by mnt.

SHA-1: acca17590c50f0e004f37d89ff454bc517eb78c4

git

2021-08-28 16:00

administrator   ~0103485

Branch CR32281_4 has been deleted by mnt.

SHA-1: 51d409054847d632622c3d1f0469e006fbcf9e55

Related Changesets

occt: master 9dd8af26

2021-07-05 12:06:50

mkrylova


Committer: bugmaster Details Diff
0032281: Visualization - add Select3D_SensitiveCylinder

- implemented Select3D_SensitiveCylinder class performing an analytical intersection with an untriangulated cone/cylinder
- added tests
Affected Issues
0032281
mod - src/Select3D/FILES Diff File
add - src/Select3D/Select3D_SensitiveCylinder.cxx Diff File
add - src/Select3D/Select3D_SensitiveCylinder.hxx Diff File
mod - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff File
mod - src/SelectMgr/SelectMgr_AxisIntersector.cxx Diff File
mod - src/SelectMgr/SelectMgr_AxisIntersector.hxx Diff File
mod - src/SelectMgr/SelectMgr_BaseIntersector.cxx Diff File
mod - src/SelectMgr/SelectMgr_BaseIntersector.hxx Diff File
mod - src/SelectMgr/SelectMgr_Frustum.hxx Diff File
mod - src/SelectMgr/SelectMgr_Frustum.lxx Diff File
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff File
mod - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff File
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff File
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff File
mod - src/SelectMgr/SelectMgr_SelectionImageFiller.cxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustum.hxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx Diff File
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff File
mod - src/StdSelect/StdSelect_TypeOfSelectionImage.hxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File
add - tests/vselect/cone_cylinder/begin Diff File
add - tests/vselect/cone_cylinder/check_depth Diff File
add - tests/vselect/cone_cylinder/detecting Diff File
add - tests/vselect/cone_cylinder/generate_images Diff File
add - tests/vselect/cone_cylinder/polygon_selection Diff File
add - tests/vselect/cone_cylinder/rectangle_selection Diff File
add - tests/vselect/cone_cylinder/single_click_selection_cone Diff File
add - tests/vselect/cone_cylinder/single_click_selection_cylinder Diff File
add - tests/vselect/cone_cylinder/single_click_selection_trunc_cone Diff File
mod - tests/vselect/grids.list Diff File

Issue History

Date Modified Username Field Change
2021-04-05 09:50 kgv New Issue
2021-04-05 09:50 kgv Assigned To => mkrylova
2021-04-05 09:50 kgv Relationship added related to 0032182
2021-04-05 09:51 kgv Relationship added related to 0031773
2021-06-08 18:07 mkrylova Note Added: 0101699
2021-06-09 20:12 mkrylova Note Added: 0101732
2021-06-11 17:47 mkrylova Note Added: 0101794
2021-06-15 18:11 mkrylova Note Added: 0101846
2021-06-22 18:18 mkrylova Note Added: 0102004
2021-06-23 18:30 mkrylova Note Added: 0102015
2021-06-28 18:33 mkrylova Note Added: 0102132
2021-06-29 17:59 mkrylova Note Added: 0102168
2021-06-30 18:59 mkrylova Note Added: 0102193
2021-07-01 17:45 mkrylova Note Added: 0102214
2021-07-05 18:57 mkrylova Note Added: 0102286
2021-07-07 18:42 mkrylova Note Added: 0102344
2021-07-09 17:55 mkrylova Note Added: 0102408
2021-07-12 15:33 git Note Added: 0102467
2021-07-13 17:34 git Note Added: 0102498
2021-07-13 17:35 git Note Added: 0102499
2021-07-13 17:38 mkrylova Note Added: 0102500
2021-07-14 12:06 git Note Added: 0102518
2021-07-14 18:46 git Note Added: 0102526
2021-07-14 18:51 mkrylova Note Added: 0102527
2021-07-15 16:26 mkrylova File Added: SensitiveCylinder_MKrylova.md
2021-07-19 11:01 git Note Added: 0102622
2021-07-19 12:46 mkrylova Note Added: 0102634
2021-07-19 12:47 mkrylova Note Added: 0102635
2021-07-19 12:47 mkrylova Assigned To mkrylova => kgv
2021-07-19 12:47 mkrylova Status new => resolved
2021-07-19 12:47 mkrylova Steps to Reproduce Updated
2021-07-20 18:54 mkrylova Note Added: 0102689
2021-08-23 22:45 git Note Added: 0103349
2021-08-23 22:51 git Note Added: 0103350
2021-08-23 23:15 git Note Added: 0103378
2021-08-24 00:35 kgv Note Added: 0103388
2021-08-24 00:35 kgv Assigned To kgv => bugmaster
2021-08-24 00:35 kgv Status resolved => reviewed
2021-08-27 09:48 bugmaster Note Added: 0103447
2021-08-27 09:48 bugmaster Status reviewed => assigned
2021-08-27 09:49 bugmaster Assigned To bugmaster => mkrylova
2021-08-27 10:38 git Note Added: 0103448
2021-08-27 10:39 git Note Added: 0103449
2021-08-27 10:40 kgv Note Added: 0103450
2021-08-27 10:40 kgv Assigned To mkrylova => bugmaster
2021-08-27 10:40 kgv Status assigned => resolved
2021-08-27 10:40 kgv Status resolved => reviewed
2021-08-28 15:44 bugmaster Note Added: 0103474
2021-08-28 15:44 bugmaster Status reviewed => tested
2021-08-28 15:48 bugmaster Test case number => cone_cylinder/check_depth,detecting,generate_images,polygon_selection,rectangle_selection,single_click_selection_cone,single_click_selection_cylinder,single_click_selection_trunc_cone
2021-08-28 15:51 bugmaster Changeset attached => occt master 9dd8af26
2021-08-28 15:51 bugmaster Status tested => verified
2021-08-28 15:51 bugmaster Resolution open => fixed
2021-08-28 16:00 git Note Added: 0103481
2021-08-28 16:00 git Note Added: 0103482
2021-08-28 16:00 git Note Added: 0103483
2021-08-28 16:00 git Note Added: 0103484
2021-08-28 16:00 git Note Added: 0103485
2021-08-30 17:02 kgv Relationship added parent of 0032547
2021-11-09 12:51 kgv Relationship added parent of 0032652
2022-07-27 17:42 kgv Relationship added parent of 0033084